Package io.vertx.reactivex.ext.web.validation.builder

## Class Bodies

- java.lang.Object
- - io.vertx.reactivex.ext.web.validation.builder.Bodies

-     public class Bodies
      extends Object

  In this interface you can find all available `BodyProcessorFactory` to use in `ValidationHandlerBuilder`.

  To create new schemas using , look at the docs of vertx-json-schema

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Bodies>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Bodies​(Bodies delegate)` |
    `Bodies​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `static BodyProcessorFactory` | `formUrlEncoded​(ObjectSchemaBuilder schemaBuilder)` | Create a form `application/x-www-form-urlencoded` processor
    `Bodies` | `getDelegate()` |
    `int` | `hashCode()` |
    `static BodyProcessorFactory` | `json​(SchemaBuilder schemaBuilder)` | Create a json body processor
    `static BodyProcessorFactory` | `multipartFormData​(ObjectSchemaBuilder schemaBuilder)` | Create a form `multipart/form-data` processor
    `static Bodies` | `newInstance​(Bodies arg)` |
    `static BodyProcessorFactory` | `textPlain​(StringSchemaBuilder schemaBuilder)` | Create a `text/plain` body processor
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Bodies> __TYPE_ARG

  - ### Constructor Detail

    - #### Bodies

          public Bodies​(Bodies delegate)

    - #### Bodies

          public Bodies​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Bodies getDelegate()

    - #### json

          public static BodyProcessorFactory json​(SchemaBuilder schemaBuilder)

      Create a json body processor
      Parameters:
        `schemaBuilder` -
      Returns:

    - #### textPlain

          public static BodyProcessorFactory textPlain​(StringSchemaBuilder schemaBuilder)

      Create a `text/plain` body processor
      Parameters:
        `schemaBuilder` -
      Returns:

    - #### formUrlEncoded

          public static BodyProcessorFactory formUrlEncoded​(ObjectSchemaBuilder schemaBuilder)

      Create a form `application/x-www-form-urlencoded` processor
      Parameters:
        `schemaBuilder` -
      Returns:

    - #### multipartFormData

          public static BodyProcessorFactory multipartFormData​(ObjectSchemaBuilder schemaBuilder)

      Create a form `multipart/form-data` processor
      Parameters:
        `schemaBuilder` -
      Returns:

    - #### newInstance

          public static Bodies newInstance​(Bodies arg)